{
  "name": "@ssb-graphql/whakapapa",
  "version": "7.0.1",
  "description": "GraphQL types and resolvers for the ssb-whakapapa plugin",
  "main": "index.js",
  "scripts": {
    "test": "npm run test:js && npm run test:only && npm run lint",
    "test:js": "npm run test:raw | tap-arc",
    "test:raw": "cross-env NODE_ENV=test tape -r esm 'test/**/*.test.js'",
    "test:only": "if grep -r --exclude-dir=node_modules --exclude-dir=.git --color 'test\\.only\\|tape\\.only' .; then exit 1; fi",
    "bench": "cross-env NODE_ENV=test tape -r esm 'test/**/*.bench.js' | tap-arc",
    "lint": "standard --fix"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/ahau/ssb-graphql-whakapapa.git"
  },
  "keywords": [
    "scuttlebutt",
    "ahau",
    "whakapapa"
  ],
  "author": "luandro",
  "license": "AGPL-3.0",
  "bugs": {
    "url": "https://gitlab.com/ahau/ssb-graphql-whakapapa/issues"
  },
  "homepage": "https://gitlab.com/ahau/ssb-graphql-whakapapa#readme",
  "dependencies": {
    "graphql-tag": "^2.12.6",
    "hashlru": "^2.3.0",
    "lodash.get": "^4.4.2",
    "lodash.pick": "^4.4.0",
    "lodash.set": "^4.3.2",
    "lodash.uniqby": "^4.7.0",
    "pull-flatmap": "^0.0.1",
    "pull-paramap": "^1.2.2",
    "pull-stream": "^3.7.0"
  },
  "devDependencies": {
    "@ssb-graphql/artefact": "^5.0.1",
    "@ssb-graphql/main": "^11.0.0",
    "@ssb-graphql/profile": "^9.0.1",
    "@ssb-graphql/story": "^4.0.1",
    "@ssb-graphql/tribes": "^3.3.0",
    "ahau-fixtures": "^1.0.2",
    "ahau-graphql-client": "^2.0.0",
    "ahau-graphql-server": "^1.2.2",
    "cross-env": "^7.0.3",
    "esm": "^3.2.25",
    "node-fetch": "^2.6.6",
    "pull-pushable": "^2.2.0",
    "react": "^17.0.2",
    "scuttle-testbot": "^2.2.0",
    "ssb-artefact": "^4.0.0",
    "ssb-blobs": "^2.0.1",
    "ssb-box2": "^7.5.0",
    "ssb-classic": "^1.1.0",
    "ssb-db2": "^8.1.0",
    "ssb-profile": "^7.0.2",
    "ssb-recps-guard": "^2.3.1",
    "ssb-ref": "^2.14.0",
    "ssb-serve-blobs": "^3.1.0",
    "ssb-settings": "^2.0.0",
    "ssb-story": "^3.0.0",
    "ssb-tribes": "^4.0.0",
    "ssb-whakapapa": "^4.0.0",
    "standard": "^14.3.4",
    "tap-arc": "^1.2.2",
    "tape": "^4.13.3"
  }
}
